/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;




/**
 * 数据规则表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-24 16:58:38  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "数据规则表")
public class DataRule extends TenantPartition implements Entity
{
  public static final String KEY_ruleId = "ruleId";
  public static final String KEY_name = "name";
  public static final String KEY_type = "type";
  public static final String KEY_contentExpression = "contentExpression";
  public static final String KEY_jarIds = "jarIds";
  public static final String KEY_proId = "proId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 规则id<br>
   */
  @ApiModelProperty("规则id")
  @Size(max = 32, message="规则id-ruleId: 数据长度不能 > 32" )
  private String ruleId;
  /**
   * 规则名称<br>
   */
  @ApiModelProperty("规则名称")
  @Size(max = 32, message="规则名称-name: 数据长度不能 > 32" )
  private String name;
  /**
   * 规则类型<br>
   */
  @ApiModelProperty("规则类型")
  @Size(max = 1, message="规则类型-type: 数据长度不能 > 1" )
  private String type;
  /**
   * 正则表达式、脚本编码<br>
   */
  @ApiModelProperty("正则表达式、脚本编码")
  @Size(max = 65535, message="正则表达式、脚本编码-contentExpression: 数据长度不能 > 65535" )
  private String contentExpression;
  /**
   * 资源包集合<br>
   */
  @ApiModelProperty("资源包集合")
  @Size(max = 1024, message="资源包集合-jarIds: 数据长度不能 > 1024" )
  private String jarIds;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 规则id<br>
   */
  public String getRuleId()
  {
      return ruleId;
    }

  /**
   * 规则id<br>
   *
   * @param ruleId 规则id
   */
  public void setRuleId(String ruleId)
  {
      this.ruleId = ruleId;
    }
  /**
   * 规则名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 规则名称<br>
   *
   * @param name 规则名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 规则类型<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 规则类型<br>
   *
   * @param type 规则类型
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 正则表达式、脚本编码<br>
   */
  public String getContentExpression()
  {
      return contentExpression;
    }

  /**
   * 正则表达式、脚本编码<br>
   *
   * @param contentExpression 正则表达式、脚本编码
   */
  public void setContentExpression(String contentExpression)
  {
      this.contentExpression = contentExpression;
    }
  /**
   * 资源包集合<br>
   */
  public String getJarIds()
  {
      return jarIds;
    }

  /**
   * 资源包集合<br>
   *
   * @param jarIds 资源包集合
   */
  public void setJarIds(String jarIds)
  {
      this.jarIds = jarIds;
    }
  /**
   * 系统id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统id<br>
   *
   * @param proId 系统id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public DataRule()
  {
  }

}
